package org.dromara.system.service;

import org.dromara.system.domain.SiteSite;
import org.dromara.system.domain.vo.SiteSiteVo;
import org.dromara.system.domain.bo.SiteSiteBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-10-31
 */
public interface ISiteSiteService {

    /**
     * 查询【请填写功能名称】
     */
    SiteSiteVo queryById(Long id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<SiteSiteVo> queryPageList(SiteSiteBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<SiteSiteVo> queryList(SiteSiteBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(SiteSiteBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(SiteSiteBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
